Get user with all data

GET/v1/users/user/{uuid}

Path parameters

  • uuidstringRequired#
    Unique identifier of the user.

Responses

200User with all related data.UserResource
/** Imported from delio-core. */
interface UserResource {
  /** guid from delio-core. */
  guid: string
  /** status from delio-core. */
  status: string
  /** username from delio-core. */
  username: string
  /** contact from delio-core. */
  contact?: unknown
  /** pivot from delio-core. */
  pivot?: unknown
  /** data from delio-core. */
  data?: UserDataFormResource[]
  /** profilePhotoFileKey from delio-core. */
  profilePhotoFileKey?: unknown
  /** userTypeId from delio-core. */
  userTypeId?: unknown
}
401Unauthorized.Error
404Not found.Error
curl https://your-url.com/kong/core/api/gateway/v1/users/user/{uuid}\
  -H "Authorization: Bearer $DELIO_API_KEY"\
  -H "Content-Type: application/json"